/*
 * Copyright (c) 2009 by Red Hat Inc and/or its affiliates or by
 * third-party contributors as indicated by either @author tags or express
 * copyright attribution statements applied by the authors.  All
 * third-party contributions are distributed under license by Red Hat Inc.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution; if not, write to:
 * Free Software Foundation, Inc.
 * 51 Franklin Street, Fifth Floor
 * Boston, MA  02110-1301  USA\
 */
package org.hibernate.engine.jdbc.jdbc3;

import java.sql.Blob;
import java.sql.Clob;
import java.io.InputStream;
import java.io.Reader;

import org.hibernate.engine.jdbc.LobCreator;

/**
 * TODO : javadoc
 *
 * @author Steve Ebersole
 */
public class LobCreatorImpl implements LobCreator {
	public Blob wrap(Blob blob) {
		return new SerializableBlob( blob );
	}

	public Clob wrap(Clob clob) {
		return new SerializableClob( clob );
	}

	public Blob createBlob(byte[] bytes) {
		return new BlobImpl( bytes );
	}

	public Blob createBlob(InputStream stream, long length) {
		return new BlobImpl( stream, length );
	}

	public Clob createClob(String string) {
		return new ClobImpl( string );
	}

	public Clob createClob(Reader reader, int length) {
		return new ClobImpl( reader, length );
	}

	public Clob createNClob(String string) {
		return new ClobImpl( string );
	}

	public Clob createNClob(Reader reader, int length) {
		return new ClobImpl( reader, length );
	}
}
