/*
 * Copyright (c) 2009 by Red Hat Inc and/or its affiliates or by
 * third-party contributors as indicated by either @author tags or express
 * copyright attribution statements applied by the authors.  All
 * third-party contributions are distributed under license by Red Hat Inc.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution; if not, write to:
 * Free Software Foundation, Inc.
 * 51 Franklin Street, Fifth Floor
 * Boston, MA  02110-1301  USA\
 */
package org.hibernate.engine.jdbc.jdbc4;

import java.sql.Blob;
import java.sql.SQLException;
import java.io.InputStream;

/**
 * TODO : javadoc
 *
 * @author Steve Ebersole
 */
public class SerializableBlob extends org.hibernate.engine.jdbc.jdbc3.SerializableBlob implements Blob {
	public SerializableBlob(Blob blob) {
		super( blob );
	}

	@Override
	public Blob getWrappedBlob() {
		return super.getWrappedBlob();
	}

	public void free() throws SQLException {
		getWrappedBlob().free();
	}

	public InputStream getBinaryStream(long pos, long length) throws SQLException {
		return getWrappedBlob().getBinaryStream( pos, length );
	}
}
